clear
clc

%Define Process
num = 1;
den = [1,1,0];

Hp = tf(num,den)


% Find PI Controller
[Hpi,info] = pidtune(Hp,'PI')


%Bode Plots
figure(1)
bode(Hp)
grid on

figure(2)
bode(Hpi)
grid on

% Feedback System
T = feedback(Hpi*Hp, 1);
figure(3)
step(T)

