clear
clc
close all

% Define Transfer function
num=[1];
den=[1, 1];
H = tf(num, den)

% Frequency Response
bode(H);
grid on


% Get Freqquency Response Data
wlist = [0.01, 0.1, 1, 2 ,3 ,5 ,10, 100];
[mag, phase, w] = bode(H, wlist);

for i=1:length(w)
magw(i) = mag(1,1,i);
phasew(i) = phase(1,1,i);
end

magdB = 20*log10(magw); % Convert to dB


freq_data = [wlist; magdB; phasew]'

