clear
clc
 
w = [0.1, 0.16, 0.25, 0.4, 0.625, 2.5, 10];

% Alt 2: Use Mathematical expressions for H and <H
disp('----- Alternative 2 -----')
gain = 20*log10(4) - 20*log10(sqrt((2*w).^2+1)); 
phase = -atan(2*w);
phasedeg = phase * 180/pi; %convert to degrees
 
mag_data2 = [w; gain]
phase_data2 = [w; phasedeg]
 
figure(2)
subplot(2,1,1)
semilogx(w,gain)
grid on
 
subplot(2,1,2)
semilogx(w,phasedeg)
grid on

